package com.nbclass.szxgl.model;

import java.util.Date;
import javax.persistence.*;

@Table(name = "sy_users")
public class SyUsers {
    @Id
    private String id;

    /**
     * 登陆账号
     */
    @Column(name = "user_name")
    private String userName;

    /**
     * 真实姓名
     */
    @Column(name = "true_name")
    private String trueName;

    /**
     * 密码
     */
    @Column(name = "user_password")
    private String userPassword;

    /**
     * 注册时间
     */
    @Column(name = "register_time")
    private Date registerTime;

    /**
     * 最后登陆时间
     */
    @Column(name = "last_login_time")
    private Date lastLoginTime;

    /**
     * 最后登录IP
     */
    @Column(name = "last_login_ip")
    private String lastLoginIp;

    /**
     * 登录错误时间
     */
    @Column(name = "error_time")
    private Date errorTime;

    /**
     * 登录错误次数
     */
    @Column(name = "error_count")
    private Integer errorCount;

    /**
     * 账号状态 1:正常 0 禁止登陆
     */
    @Column(name = "user_status")
    private Boolean userStatus;

    /**
     * 所属部门id
     */
    @Column(name = "dept_id")
    private String deptId;

    /**
     * 用户说明
     */
    @Column(name = "user_desc")
    private String userDesc;

    /**
     * 性别，1表示男性，2表示女性
     */
    @Column(name = "user_sex")
    private Boolean userSex;

    /**
     * 注册人
     */
    @Column(name = "register_uid")
    private String registerUid;

    /**
     * 手机号
     */
    @Column(name = "mobile_phone_number")
    private String mobilePhoneNumber;

    /**
     * 上级字段，标识是否为上级。0表示普通成员，1表示上级
     */
    private Boolean isleader;

    /**
     * @return id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取登陆账号
     *
     * @return user_name - 登陆账号
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 设置登陆账号
     *
     * @param userName 登陆账号
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 获取真实姓名
     *
     * @return true_name - 真实姓名
     */
    public String getTrueName() {
        return trueName;
    }

    /**
     * 设置真实姓名
     *
     * @param trueName 真实姓名
     */
    public void setTrueName(String trueName) {
        this.trueName = trueName;
    }

    /**
     * 获取密码
     *
     * @return user_password - 密码
     */
    public String getUserPassword() {
        return userPassword;
    }

    /**
     * 设置密码
     *
     * @param userPassword 密码
     */
    public void setUserPassword(String userPassword) {
        this.userPassword = userPassword;
    }

    /**
     * 获取注册时间
     *
     * @return register_time - 注册时间
     */
    public Date getRegisterTime() {
        return registerTime;
    }

    /**
     * 设置注册时间
     *
     * @param registerTime 注册时间
     */
    public void setRegisterTime(Date registerTime) {
        this.registerTime = registerTime;
    }

    /**
     * 获取最后登陆时间
     *
     * @return last_login_time - 最后登陆时间
     */
    public Date getLastLoginTime() {
        return lastLoginTime;
    }

    /**
     * 设置最后登陆时间
     *
     * @param lastLoginTime 最后登陆时间
     */
    public void setLastLoginTime(Date lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    /**
     * 获取最后登录IP
     *
     * @return last_login_ip - 最后登录IP
     */
    public String getLastLoginIp() {
        return lastLoginIp;
    }

    /**
     * 设置最后登录IP
     *
     * @param lastLoginIp 最后登录IP
     */
    public void setLastLoginIp(String lastLoginIp) {
        this.lastLoginIp = lastLoginIp;
    }

    /**
     * 获取登录错误时间
     *
     * @return error_time - 登录错误时间
     */
    public Date getErrorTime() {
        return errorTime;
    }

    /**
     * 设置登录错误时间
     *
     * @param errorTime 登录错误时间
     */
    public void setErrorTime(Date errorTime) {
        this.errorTime = errorTime;
    }

    /**
     * 获取登录错误次数
     *
     * @return error_count - 登录错误次数
     */
    public Integer getErrorCount() {
        return errorCount;
    }

    /**
     * 设置登录错误次数
     *
     * @param errorCount 登录错误次数
     */
    public void setErrorCount(Integer errorCount) {
        this.errorCount = errorCount;
    }

    /**
     * 获取账号状态 1:正常 0 禁止登陆
     *
     * @return user_status - 账号状态 1:正常 0 禁止登陆
     */
    public Boolean getUserStatus() {
        return userStatus;
    }

    /**
     * 设置账号状态 1:正常 0 禁止登陆
     *
     * @param userStatus 账号状态 1:正常 0 禁止登陆
     */
    public void setUserStatus(Boolean userStatus) {
        this.userStatus = userStatus;
    }

    /**
     * 获取所属部门id
     *
     * @return dept_id - 所属部门id
     */
    public String getDeptId() {
        return deptId;
    }

    /**
     * 设置所属部门id
     *
     * @param deptId 所属部门id
     */
    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    /**
     * 获取用户说明
     *
     * @return user_desc - 用户说明
     */
    public String getUserDesc() {
        return userDesc;
    }

    /**
     * 设置用户说明
     *
     * @param userDesc 用户说明
     */
    public void setUserDesc(String userDesc) {
        this.userDesc = userDesc;
    }

    /**
     * 获取性别，1表示男性，2表示女性
     *
     * @return user_sex - 性别，1表示男性，2表示女性
     */
    public Boolean getUserSex() {
        return userSex;
    }

    /**
     * 设置性别，1表示男性，2表示女性
     *
     * @param userSex 性别，1表示男性，2表示女性
     */
    public void setUserSex(Boolean userSex) {
        this.userSex = userSex;
    }

    /**
     * 获取注册人
     *
     * @return register_uid - 注册人
     */
    public String getRegisterUid() {
        return registerUid;
    }

    /**
     * 设置注册人
     *
     * @param registerUid 注册人
     */
    public void setRegisterUid(String registerUid) {
        this.registerUid = registerUid;
    }

    /**
     * 获取手机号
     *
     * @return mobile_phone_number - 手机号
     */
    public String getMobilePhoneNumber() {
        return mobilePhoneNumber;
    }

    /**
     * 设置手机号
     *
     * @param mobilePhoneNumber 手机号
     */
    public void setMobilePhoneNumber(String mobilePhoneNumber) {
        this.mobilePhoneNumber = mobilePhoneNumber;
    }

    /**
     * 获取上级字段，标识是否为上级。0表示普通成员，1表示上级
     *
     * @return isleader - 上级字段，标识是否为上级。0表示普通成员，1表示上级
     */
    public Boolean getIsleader() {
        return isleader;
    }

    /**
     * 设置上级字段，标识是否为上级。0表示普通成员，1表示上级
     *
     * @param isleader 上级字段，标识是否为上级。0表示普通成员，1表示上级
     */
    public void setIsleader(Boolean isleader) {
        this.isleader = isleader;
    }
}